/*******************************************************************************
Filename:       main.c

Autor:          Onur Kayikci
                Texas Instruments Freising, Germany
Datum:          19.11.2009

Description:    This file contains the interface to the LCD Service.

Processor:      MSP430F5529

*******************************************************************************/

/**************** Includes ****************************************************/

#include "hal_mcu.h"
#include "hal_lcd.h"
#include "msp430x552x.h"




/**************** Main Programm ***********************************************/
  int main( void ){
 
  
    Mcu_Clock_Init();                                    /* initializes System Clock */

    SPI_A0_Init();                                       /* initializes 3 Wire 8 Bit SPI */

    __bis_SR_register(GIE);                              /* Interrupts Enabled */

    HalLcd_Init();                                       /* initializes LCD */
   
    __delay_cycles(10000);                               /* Delay till all Registers in the LCD are initialized  */

    HalLcd_Clean();                                      /* Set All Pixels Off  */
   
    HalLcd_WriteString(10,50,"Hello World!");            /* Writes Hello World to the Screen  */
   
    HalLcd_Rst();                                        /* LCD System Reset  */

    while(1){}                                           /* Wait  */
  }

/******************************************************************************/
/******************************************************************************/
